Skip to main content
GET
/
v1
/
warehouses
List
curl --request GET \
  --url https://{defaultHost}/v1/warehouses \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/warehouses"
  },
  "data": [
    {
      "id": "8dcd85fc-d186-445b-ad4f-0944f7640b61",
      "object": "warehouse",
      "label": "Main Warehouse",
      "default": false,
      "contact": "55cf6831-ddaf-4180-be20-e63dd7c5ef25",
      "created_at": 1782479624,
      "updated_at": 1782479624
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.